#!/usr/bin/perl

use strict;
use warnings;

use Weather;

print "1.Daily Weather Report \n";
print "2.Daily Weather Report to File\n";
print "3.Weekly Weather Report \n";
print "4.Exit \n\n";

print "Enter the Option: ";
my $option = <>;

if ($option == 1) {
    # Day Report
    print "Enter a day: ";
    my $dayoption = <>;
    display_header();
    my $result = display_daily_report($dayoption);
    print '-' x 75 ."\n";
}
elsif ($option == 2) {
    # Day Report to file
    print "Enter a day: ";
    my $dayoption = <>;
    my $result = write_daily_report($dayoption);
    print "Please check the file $dayoption".".txt for report output","\n\n"
       if ($result);
             
}

elsif ($option == 3) {
    # weekly Report
    display_header();
    display_weekly_report();
    print '-' x 75 ."\n";
    
}
elsif ($option == 4) {
    exit(0);
}
else { 
    print "Incorrect option. Exiting the program. \n";
    exit(1);
}
exit(0);
